#property indicator_chart_window

extern int    DayShift   = 1;
extern color  ColorHigh  = LimeGreen;
extern color  ColorLow   = Red;
extern color  ColorOpen  = DarkGray;
extern color  ColorClose = Gold;
extern int    LinesStyle = STYLE_DOT;
extern string UniqueID   = "Dhloc";

//------------------------------------------------------------------
//
//------------------------------------------------------------------
//
//
//
//
//

int init()   { return(0);}
int deinit() 
{
   ObjectDelete(UniqueID+":high");
   ObjectDelete(UniqueID+":low");
   ObjectDelete(UniqueID+":open");
   ObjectDelete(UniqueID+":close");
   return(0); 
}
int start()
{
   drawLine(iOpen (NULL,PERIOD_D1,DayShift),"open" ,ColorOpen);
   drawLine(iHigh (NULL,PERIOD_D1,DayShift),"high" ,ColorHigh);
   drawLine(iLow  (NULL,PERIOD_D1,DayShift),"low"  ,ColorLow);
   drawLine(iClose(NULL,PERIOD_D1,DayShift),"close",ColorClose);
   return(0);
}  
void drawLine(double price, string add, color theColor)
{
   string name = UniqueID+":"+add;
      ObjectCreate(name,OBJ_TREND,0,0,0);
         ObjectSet(name,OBJPROP_PRICE1,price);
         ObjectSet(name,OBJPROP_PRICE2,price);
         ObjectSet(name,OBJPROP_TIME1,iTime(NULL,PERIOD_D1,0));
         ObjectSet(name,OBJPROP_TIME2,Time[0]);
         ObjectSet(name,OBJPROP_COLOR,theColor);
         ObjectSet(name,OBJPROP_STYLE,LinesStyle);
         ObjectSet(name,OBJPROP_RAY,false);
}